package nc.vo.esb;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * 
 * @author libx3/李炳雄
 * @date 2019-3-29 上午11:30:47
 * @Description:部门信息到明源的VO
 *
 */

/**
* @ClassName: RequestDeptInfoVO
* @Description: TODO
* @author zhengyao
* @date 2019-4-8
*
*/
public class RequestDeptInfoVO {
	
	@XStreamAlias("tem:NC_PK_Dept")
	private String NC_PK_Dept;
	@XStreamAlias("tem:DepartmentCode")
	private String DepartmentCode;
	@XStreamAlias("tem:DepartmentName")
	private String DepartmentName;
	@XStreamAlias("tem:FatherDepartmentPK")
	private String FatherDepartmentPK;
	@XStreamAlias("tem:FatherDepartmentCode")
	private String FatherDepartmentCode;
	@XStreamAlias("tem:FatherDepartmentName")
	private String FatherDepartmentName;
	@XStreamAlias("tem:FinanceCode")
	private String FinanceCode;
	@XStreamAlias("tem:FinanceName")
	private String FinanceName;
	//add by zhengyao3@郑瑶 2019年4月8日16:26:50 增加字段 begin
	@XStreamAlias("tem:BUGUID")
	private String BUGUID;
	@XStreamAlias("tem:Area")
	private String Area;
	//add by zhengyao3@郑瑶 2019年4月8日16:26:50 增加字段 end
	@XStreamAlias("tem:Enabledstate")
	private Integer Enabledstate;
	@XStreamAlias("tem:UpdateDate")
	private String UpdateDate;
	@XStreamAlias("tem:modifier")
	private String modifier;
	@XStreamAlias("tem:ParentFinanceCode")
	private String ParentFinanceCode;
	@XStreamAlias("tem:ParentFinanceName")
	private String ParentFinanceName;
	@XStreamAlias("tem:CreateDate")
	private String CreateDate;
	@XStreamAlias("tem:MsgType")
	private String MsgType;
	
	//add by 黄冠华 40331 【联测】无法新增保存部门节点 ,添加新字段部门属性以及部门属性编码和  begin
	@XStreamAlias("tem:HtTypeDepartmentName")
	private String HtTypeDepartmentName="";
	@XStreamAlias("tem:DepartmentPropertyCode")
	private String DepartmentPropertyCode;
	@XStreamAlias("tem:DepartmentPropertyName")
	private String DepartmentPropertyName;
	//add by 黄冠华 40331 【联测】无法新增保存部门节点 ,添加新字段部门属性以及部门属性编码和  end
	
	public String getHtTypeDepartmentName() {
		return HtTypeDepartmentName;
	}
	public String getDepartmentPropertyCode() {
		return DepartmentPropertyCode;
	}
	public String getDepartmentPropertyName() {
		return DepartmentPropertyName;
	}
	public void setHtTypeDepartmentName(String htTypeDepartmentName) {
		HtTypeDepartmentName = htTypeDepartmentName;
	}
	public void setDepartmentPropertyCode(String departmentPropertyCode) {
		DepartmentPropertyCode = departmentPropertyCode;
	}
	public void setDepartmentPropertyName(String departmentPropertyName) {
		DepartmentPropertyName = departmentPropertyName;
	}
	public String getNC_PK_Dept() {
		return NC_PK_Dept;
	}
	public void setNC_PK_Dept(String nC_PK_Dept) {
		NC_PK_Dept = nC_PK_Dept;
	}
	public String getDepartmentCode() {
		return DepartmentCode;
	}
	public void setDepartmentCode(String departmentCode) {
		DepartmentCode = departmentCode;
	}
	public String getDepartmentName() {
		return DepartmentName;
	}
	public void setDepartmentName(String departmentName) {
		DepartmentName = departmentName;
	}
	public String getFatherDepartmentPK() {
		return FatherDepartmentPK;
	}
	public void setFatherDepartmentPK(String fatherDepartmentPK) {
		FatherDepartmentPK = fatherDepartmentPK;
	}
	public String getFatherDepartmentCode() {
		return FatherDepartmentCode;
	}
	public void setFatherDepartmentCode(String fatherDepartmentCode) {
		FatherDepartmentCode = fatherDepartmentCode;
	}
	public String getFatherDepartmentName() {
		return FatherDepartmentName;
	}
	public void setFatherDepartmentName(String fatherDepartmentName) {
		FatherDepartmentName = fatherDepartmentName;
	}
	public String getFinanceCode() {
		return FinanceCode;
	}
	public void setFinanceCode(String financeCode) {
		FinanceCode = financeCode;
	}
	public String getFinanceName() {
		return FinanceName;
	}
	public void setFinanceName(String financeName) {
		FinanceName = financeName;
	}
	public Integer getEnabledstate() {
		return Enabledstate;
	}
	public void setEnabledstate(Integer enabledstate) {
		Enabledstate = enabledstate;
	}
	public String getUpdateDate() {
		return UpdateDate;
	}
	public void setUpdateDate(String updateDate) {
		UpdateDate = updateDate;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	public String getParentFinanceCode() {
		return ParentFinanceCode;
	}
	public void setParentFinanceCode(String parentFinanceCode) {
		ParentFinanceCode = parentFinanceCode;
	}
	public String getParentFinanceName() {
		return ParentFinanceName;
	}
	public void setParentFinanceName(String parentFinanceName) {
		ParentFinanceName = parentFinanceName;
	}
	public String getCreateDate() {
		return CreateDate;
	}
	public void setCreateDate(String createDate) {
		CreateDate = createDate;
	}
	public String getMsgType() {
		return MsgType;
	}
	public void setMsgType(String msgType) {
		MsgType = msgType;
	}
	//add by zhengyao3@郑瑶 2019年4月8日16:26:50 增加字段 begin
	public String getBUGUID() {
		return BUGUID;
	}
	public void setBUGUID(String bUGUID) {
		BUGUID = bUGUID;
	}
	public String getArea() {
		return Area;
	}
	public void setArea(String area) {
		Area = area;
	}
	//add by zhengyao3@郑瑶 2019年4月8日16:26:50 增加字段 end

}
